source 'https://rubygems.org'

gem 'rake'
gem 'sprockets'
gem 'sprockets-sass'
gem 'execjs'
gem 'sass'
gem 'compass'
gem 'coffee-script'
gem 'guard'
gem 'guard-shell'
gem 'uglifier'


# these gems are used by Guard to check change in files
gem 'rb-fchange', :require => false #windows
gem 'wdm', :require => false #windows

gem 'libnotify'

  gem 'wdm', :require => false

case RUBY_PLATFORM
when /win32/, /win64/
  gem 'wdm', :require => false
when /linux/
  gem 'libnotify'
  gem 'rb-inotify', :require => false
when /darwin/
  gem 'rb-fsevent', :require => false #mac osx
end

